#define BUTTON 3

byte address = B0000;
byte motoraddress = B0000; // 0000 is for motor
byte valveaddress = B0001; // 1000 is for valve

void setup() {
  pinMode(BUTTON, INPUT_PULLUP);
  Serial.begin(115200);
}

void loop() {
  byte command_motor = B0000; // 0000 is off, 1000 is on for motor
  byte command_valve = B0000; // 0000 is off, 1000 is on for valve
  
  int OnorOff = digitalRead(BUTTON);
  
  if(OnorOff == 0)
  {
    Serial.print("Motor on ");
    address = motoraddress;
    command_motor = command_motor | B0001; // Motor on
    sendMessage(address, command_motor);
    
    Serial.print("Valve off ");
    address = valveaddress;
    command_valve = command_valve | B0000; // Valve off
    sendMessage(address, command_valve);
  }
  else
  {
    Serial.print("Motor off ");
    address = motoraddress;
    command_motor = command_motor | B0000; // Motor off
    sendMessage(address, command_motor);
    
    Serial.print("Valve on ");
    address = valveaddress;
    command_valve = command_valve | B0001; // Valve off
    sendMessage(address, command_valve);
  }
  delay(100);
}

void sendMessage(byte address, byte command) {
    byte message = B00000000;
    message = (address << 4) | command;
    Serial.println(message,BIN);
    Serial.write(message);
  }
